package com.openhis.web.externalintegration.enums;

/**
 * 【BPC】交易返回应答码
 *
 * @author Thanking
 * @date 2025-10-16
 */
public enum BpcRespType {

    /**
     * 交易成功（终态）
     */
    SUCCESS("00", "交易成功"),
    /**
     * 订单失败（终态）
     */
    FAILED("77", "订单失败，无需继续订单查询"),
    /**
     * 等待付款（需重试查询）
     */
    WAITING_PAYMENT("88", "等待付款（输密码），应再次发起订单查询"),
    /**
     * 交易状态未明（需重试查询）
     */
    UNKNOWN("99", "交易状态未明，应再次发起订单查询");

    private final String value;
    private final String description;

    BpcRespType(String value, String description) {
        this.value = value;
        this.description = description;
    }

    public String getValue() {
        return value;
    }

    public String getDescription() {
        return description;
    }

    public static BpcRespType getByValue(String value) {
        if (value == null || "".equals(value.trim())) {
            return null;
        }
        for (BpcRespType val : values()) {
            if (val.getValue().equals(value)) {
                return val;
            }
        }
        return null;
    }
}
